#ifndef SENSOR_H
#define SENSOR_H

#include "btBulletDynamicsCommon.h"

#include "Channel.h"
#include "X.h"



class Sensor : public X
{
private:
	btHingeConstraint *m_joint;
	int m_orient;
	channelData *m_data;

public:
	Sensor(Channel *chan, channelData *data);
	~Sensor();

	void update();

	channelData *getData();

};

#endif //SENSOR_H
