#ifndef SIMPLEAGENT_H
#define SIMPLEAGENT_H

#include <vector>
#include "Sensor.h"
#include "Actuator.h"
#include "CommChannel.h"
#include "Agent.h"

using namespace std;


class SimpleAgent : public Agent
{
private:
	Sensor *m_sensorLeft, *m_sensorRight, *m_sensorUp, *m_sensorDown;
	Actuator *m_actuatorLeft, *m_actuatorRight, *m_actuatorUp, *m_actuatorDown;
	CommChannel *m_channelLeft, *m_channelRight, *m_channelUp, *m_channelDown;

	int m_timeStep, m_timeWave;
	int local;

public:
	SimpleAgent(vector<Sensor *> sensorList, vector<Actuator *> actuatorList, vector<CommChannel *> channelList);
	~SimpleAgent();

	void step();

};


#endif //SIMPLEAGENT_H
