#ifndef XPROVIDER_H
#define XPROVIDER_H

#include "Channel.h"
#include "constants.h"

#include "btBulletDynamicsCommon.h"

class XProvider
{
protected:
	Channel *m_chan;



public:
	XProvider(Channel *chan);
	~XProvider();

	Channel *getChannel();

	virtual void updatePre() { };
	virtual void updatePost() { };
	virtual void packData(channelData *data, int id) { };
};

#endif //XPROVIDER_H
